Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005087TestLinkAPI - XMLRPCpublic2012-07-10 23:482012-09-01 19:59
Reporterfast.chip 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0005087: _checkTCIDAndTPIDValid() - use $tcase_id instead of $this->args[self::$testCaseExternalIDParamName]
DescriptionAlso a minor issue with the xmlrpc.class.php , you should revise the lines below to use $tcase_id instead of $this->args[self::$testCaseExternalIDParamName] to avoid empty values in message @ runtime.

   if( is_null($platform_id) )
            {
                $msg = sprintf(TCASEID_NOT_IN_TPLANID_STR,$tcase_info[0]['name'],
                               $tcase_id,$tplan_info['name'],$tplan_id);
                $this->errors[] = new IXR_Error(TCASEID_NOT_IN_TPLANID, $msg);
            }
else
            {
               
                $msg = sprintf(TCASEID_NOT_IN_TPLANID_FOR_PLATFORM_STR,$tcase_info[0]['name'],
                               $tcase_id,
                               $tplan_info['name'],$tplan_id,$platformInfo[$platform_id],$platform_id);
                $this->errors[] = new IXR_Error(TCASEID_NOT_IN_TPLANID_FOR_PLATFORM, $msg);
            }
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0016964)
fman (administrator)
2012-07-11 18:44

next time please provide indication of method to change
(0016965)
fman (administrator)
2012-07-11 19:20

teslink 1.9
http://gitorious.org/testlink-ga/testlink-code/commit/11ff3f1bc364ece3a938aee23ab1e08033856ed2 [^]
(0017328)
fman (administrator)
2012-09-01 19:59

1.9.4 released

- Issue History
Date Modified Username Field Change
2012-07-10 23:48 fast.chip New Issue
2012-07-11 17:37 fman Assigned To => fman
2012-07-11 17:37 fman Status new => assigned
2012-07-11 18:44 fman Note Added: 0016964
2012-07-11 19:19 fman Summary xmlrpc.class.php use $tcase_id instead of $this->args[self::$testCaseExternalIDParamName] => _checkTCIDAndTPIDValid() - use $tcase_id instead of $this->args[self::$testCaseExternalIDParamName]
2012-07-11 19:20 fman Note Added: 0016965
2012-07-11 19:20 fman Status assigned => resolved
2012-07-11 19:20 fman Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2012-07-11 19:20 fman Resolution open => fixed
2012-07-11 19:20 fman Tag Attached: TO BE FIXED on 2.0
2012-09-01 19:59 fman Note Added: 0017328
2012-09-01 19:59 fman Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker